#!/bin/sh

if [ -z $MAKE ]
then
    MAKE=make
fi

ROOT=`pwd`
FILES=""

# CM
CMS=`find . -name "CM*" -type d -prune`
for cm in $CMS
do
    cd $ROOT/$cm
    $MAKE 
    touch *.tex # force recompiling (latex toc)
    $MAKE 
    FILES="$FILES $cm/`ls *.pdf`"
done
cd $ROOT

# TP
TPS=`find . -name "template_*" -type d -prune`
for tp in $TPS
do
    # pdf
    cd $ROOT/$tp
    $MAKE 
    touch *.tex # force recompiling (latex toc)
    $MAKE 
    $MAKE clean
    FILES="$FILES $tp/`ls *.pdf`"
    # code
    cd $ROOT
    tar zcf ${tp}.tar.gz ${tp}
    FILES="$FILES ${tp}.tar.gz"
done
cd $ROOT

# www
$MAKE -C www
FILES=" $FILES ./www/index.html "

# upload files
echo $FILES
scp $FILES yangra.univ-littoral.fr:public-html/enseignements/L3Info_Projets/

